import { Pipe } from "@angular/core";
/**
 * filters an array based on searctext
 */
export class ArrayFilterPipe {
    transform(array, searchText, keyName) {
        if (!array || !searchText || !Array.isArray(array)) {
            return array;
        }
        if (typeof array[0] === 'string') {
            return array.filter((item) => item.indexOf(searchText) > -1);
        }
        // filter array, items which match and return true will be
        // kept, false will be filtered out
        if (!keyName) {
            return array.filter((item) => {
                for (const key in item) {
                    if (typeof item[key] !== "object" && item[key].toString().indexOf(searchText) > -1) {
                        return true;
                    }
                }
                return false;
            });
        }
        else {
            return array.filter((item) => {
                if (typeof item[keyName] !== "object" && item[keyName].toString().toLowerCase().indexOf(searchText.toLowerCase()) > -1) {
                    return true;
                }
                return false;
            });
        }
    }
}
ArrayFilterPipe.decorators = [
    { type: Pipe, args: [{
                name: "filterBy"
            },] },
];
/** @nocollapse */
ArrayFilterPipe.ctorParameters = () => [];
//# sourceMappingURL=array-filter-by.pipe.js.map