import { Pipe } from "@angular/core";
/**
 * omits the passed elements from array
 */
export class ArrayOmitPipe {
    transform(array, omitParams = []) {
        const inputArray = JSON.parse(JSON.stringify(array));
        if (!Array.isArray(array) || !Array.isArray(omitParams)) {
            return array;
        }
        omitParams.forEach((item) => {
            const index = inputArray.indexOf(item);
            if (index > -1) {
                inputArray.splice(index, 1);
            }
        });
        return inputArray;
    }
}
ArrayOmitPipe.decorators = [
    { type: Pipe, args: [{
                name: "omit"
            },] },
];
/** @nocollapse */
ArrayOmitPipe.ctorParameters = () => [];
//# sourceMappingURL=array-omit.pipe.js.map