import { Pipe } from "@angular/core";
/**
 * returns the items that fall in the specified range
 * of start and end index
 */
export class ArrayRangePipe {
    transform(array, startIndex = 0, endIndex = array.length) {
        if (!Array.isArray(array)) {
            return array;
        }
        return array.slice(startIndex, endIndex + 1);
    }
}
ArrayRangePipe.decorators = [
    { type: Pipe, args: [{
                name: "range"
            },] },
];
/** @nocollapse */
ArrayRangePipe.ctorParameters = () => [];
//# sourceMappingURL=array-range.pipe.js.map