import { Pipe } from "@angular/core";
export class ArraySortByPipe {
    transform(array, reverse = false, prop) {
        if (!Array.isArray(array)) {
            return array;
        }
        if (array.length) {
            let sortedArray;
            if (typeof array[0] === "string") {
                sortedArray = array.sort();
            }
            if (typeof array[0] === "number") {
                sortedArray = array.sort((a, b) => a - b);
            }
            if (typeof array[0] === "object" && prop) {
                sortedArray = array.sort((a, b) => a[prop].toString().localeCompare(b[prop].toString()));
            }
            return !reverse ? sortedArray : sortedArray.reverse();
        }
        return array;
    }
}
ArraySortByPipe.decorators = [
    { type: Pipe, args: [{
                name: "sortBy"
            },] },
];
/** @nocollapse */
ArraySortByPipe.ctorParameters = () => [];
//# sourceMappingURL=array-sort-by.pipe.js.map