import { Pipe } from "@angular/core";
/**
 * returns unique elements from an array
 */
export class ArrayUniquePipe {
    transform(array) {
        if (!Array.isArray(array)) {
            return array;
        }
        if (typeof array[0] !== 'object') {
            return array.filter((value, index, self) => self.indexOf(value) === index);
        }
        const a = [];
        for (const item of array) {
            if (!this.findObjectInArray(a, item)) {
                a.push(item);
            }
        }
        return a;
    }
    findObjectInArray(array, object) {
        let found = false;
        for (const item of array) {
            if (JSON.stringify(item) === JSON.stringify(object)) {
                found = true;
            }
        }
        return found;
    }
}
ArrayUniquePipe.decorators = [
    { type: Pipe, args: [{
                name: "unique"
            },] },
];
/** @nocollapse */
ArrayUniquePipe.ctorParameters = () => [];
//# sourceMappingURL=array-unique.pipe.js.map