import { Pipe } from "@angular/core";
/**
 * Returns the average of an array of numbers
 */
export class MathMeanPipe {
    transform(array) {
        if (!Array.isArray(array) || !array.length || isNaN(array[0])) {
            return 0;
        }
        const sum = array.reduce((a, b) => {
            return a + b;
        }, 0);
        return sum / array.length;
    }
}
MathMeanPipe.decorators = [
    { type: Pipe, args: [{
                name: "mean"
            },] },
];
/** @nocollapse */
MathMeanPipe.ctorParameters = () => [];
//# sourceMappingURL=math-mean.pipe.js.map