import { Pipe } from "@angular/core";
/**
 * returns the median of an array
 */
export class MathMedianPipe {
    transform(array) {
        if (!Array.isArray(array) || array.length === 0 || isNaN(array[0])) {
            return 0;
        }
        let median = 0;
        const len = array.length;
        array.sort((a, b) => a - b);
        if (len % 2 === 0) {
            median = (array[len / 2 - 1] + array[len / 2]) / 2;
        }
        else {
            median = array[(len - 1) / 2];
        }
        return median;
    }
}
MathMedianPipe.decorators = [
    { type: Pipe, args: [{
                name: "median"
            },] },
];
/** @nocollapse */
MathMedianPipe.ctorParameters = () => [];
//# sourceMappingURL=math-median.pipe.js.map