import { Pipe } from "@angular/core";
/**
 * returns the mode of a array of numbers
 */
export class MathModePipe {
    transform(array) {
        if (!Array.isArray(array) || isNaN(array[0])) {
            return array;
        }
        const modes = [];
        const count = [];
        let maxIndex = 0;
        for (const num of array) {
            count[num] = (count[num] || 0) + 1;
            if (count[num] > maxIndex) {
                maxIndex = count[num];
            }
        }
        for (const i in count) {
            if (count.hasOwnProperty(i)) {
                if (count[i] === maxIndex) {
                    modes.push(Number(i));
                }
            }
        }
        return modes;
    }
}
MathModePipe.decorators = [
    { type: Pipe, args: [{
                name: "mode"
            },] },
];
/** @nocollapse */
MathModePipe.ctorParameters = () => [];
//# sourceMappingURL=math-mode.pipe.js.map