import { Pipe } from '@angular/core';
/**
 * trims the characters from left if match found
 */
export class StringLtrimPipe {
    transform(value, chars) {
        if (!chars || chars.length === 0) {
            return value.trim();
        }
        const re = new RegExp("^[" + chars + "]+", "g");
        return value.replace(re, "").trim();
    }
}
StringLtrimPipe.decorators = [
    { type: Pipe, args: [{
                name: "ltrim"
            },] },
];
/** @nocollapse */
StringLtrimPipe.ctorParameters = () => [];
//# sourceMappingURL=string-ltrim.pipe.js.map