import { Pipe } from '@angular/core';
/**
 * pads the string at end where target length of string will be string length + count
 */
export class StringPadEndPipe {
    transform(value, count = 0, chars) {
        if (!count) {
            count = chars.length;
        }
        return value.padEnd(value.length + count, chars ? chars : ' ');
    }
}
StringPadEndPipe.decorators = [
    { type: Pipe, args: [{
                name: 'padEnd'
            },] },
];
/** @nocollapse */
StringPadEndPipe.ctorParameters = () => [];
//# sourceMappingURL=string-pad-end.pipe.js.map