import { Pipe } from '@angular/core';
/**
 * pads the string at start where target length of string will be string length + count
 */
export class StringPadStartPipe {
    transform(value, count, chars) {
        if (!count) {
            count = chars.length;
        }
        return value.padStart(value.length + count, chars ? chars : ' ');
    }
}
StringPadStartPipe.decorators = [
    { type: Pipe, args: [{
                name: 'padStart'
            },] },
];
/** @nocollapse */
StringPadStartPipe.ctorParameters = () => [];
//# sourceMappingURL=string-pad-start.pipe.js.map