import { Pipe } from '@angular/core';
/**
 * trims off specified characters from start and end
 */
export class StringTrimPipe {
    transform(value, chars) {
        if (!chars || chars.length === 0) {
            return value.trim();
        }
        const re = new RegExp("^[" + chars + "]+|[" + chars + "]+$", "g");
        return value.replace(re, "").trim();
    }
}
StringTrimPipe.decorators = [
    { type: Pipe, args: [{
                name: "trim"
            },] },
];
/** @nocollapse */
StringTrimPipe.ctorParameters = () => [];
//# sourceMappingURL=string-trim.pipe.js.map